Bug 21856 - [945GM] Patch for Aopen i945GTt-VFA motherboard and LVDS
Summary: [945GM] Patch for Aopen i945GTt-VFA motherboard and LVDS
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: ykzhao
QA Contact:
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2009-05-21 11:01 UTC by Mika
Modified: 2017-07-24 23:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch to skip LVDS init with Aopen i945GTt-VFA (405 bytes, patch)
2009-05-21 11:01 UTC, Mika
no flags Details | Splinter Review
Use the LID device to decide whether the LVDS device should be initialized (4.16 KB, patch)
2009-06-16 01:38 UTC, ykzhao
no flags Details | Splinter Review
acpidump output (84.75 KB, text/plain)
2009-06-16 08:17 UTC, Mika
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mika 2009-05-21 11:01:49 UTC
Created attachment 26075 [details] [review]
patch to skip LVDS init with Aopen i945GTt-VFA

This motherbord is lying about LVDS.
I try to find the good informations with dmidecode to identify this product (DMI_SYS_VENDOR and DMI_PRODUCT_NAME are empty)...

If you need more information just tell me what I should report.
Comment 1 MaLing 2009-05-24 19:49:48 UTC
hi Mick

Thanks for your great work :), could you please send your patch on 
intel-gfx@lists.freedesktop.org mailing list

Thanks
Ma Ling
Comment 2 Mika 2009-06-01 12:29:12 UTC
Ok, sent.
Comment 3 ykzhao 2009-06-08 19:44:34 UTC
please attach the output of dmidecode.
It will be great if you can send the patch to intel gfx mailing list so that someone can review it.
Thanks.
Comment 4 Mika 2009-06-15 06:16:31 UTC
In fact, the patch was already applied.

I suppose you can closed this bug.

Thank to all
Comment 5 ykzhao 2009-06-16 01:35:34 UTC
Hi, Mika
    Will you please attach the output of acpidump?
    The latest acpidump tool(pmtools-20071116) can be found in:
    http://www.lesswatts.org/projects/acpi/utilities.php

    Thanks.
Comment 6 ykzhao 2009-06-16 01:38:50 UTC
Created attachment 26826 [details] [review]
Use the LID device to decide whether the LVDS device should be initialized

Will you please try the attached patch and see whether the LVDS is detected incorrectly? 
    If the attached patch is used, please delete the quirk for your box.
    Thanks.
Comment 7 Mika 2009-06-16 08:17:09 UTC
Created attachment 26853 [details]
acpidump output
Comment 8 Mika 2009-06-16 08:20:22 UTC
I just add the output of acpidump (hex-dump format)

I tested your patch and it works ! :-)

Thanks a lot
Comment 9 Eric Anholt 2009-07-10 14:42:45 UTC
queued:

commit e99da35f060f9a3407f7def474a1df31f3b8643a
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Fri Jun 26 09:46:18 2009 +0800

    drm/i915: Check the LID device to decide whether the LVDS should be initialized


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.